创建标记
本文内容
命名空间:microsoft.graph.ediscovery
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
为指定案例创建新标记。 标记在审阅内容时用于审阅集。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
eDiscovery.Read.All、eDiscovery.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
POST /compliance/ediscovery/cases/{caseId}/tags
名称
说明
Authorization
Bearer {token}。必需。
Content-Type
application/json. Required.
请求正文
在请求正文中,提供 tag 对象的 JSON 表示 形式。
下表显示创建 标记时所需的 属性 。
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created microsoft.graph.ediscovery.tag 对象。
示例
请求
POST https://graph.microsoft.com/beta/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags
Content-Type: application/json
{
"displayName":"Privileged",
"description":"The document is privileged",
"parent@odata.bind":"https://graph.microsoft.com/beta/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags/98fdad78bbce4519b75474bc150575c3"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var tag = new Microsoft.Graph.Ediscovery.Tag
{
DisplayName = "Privileged",
Description = "The document is privileged",
AdditionalData = new Dictionary<string, object>()
{
{"parent@odata.bind", "https://graph.microsoft.com/beta/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags/98fdad78bbce4519b75474bc150575c3"}
}
};
await graphClient.Compliance.Ediscovery.Cases["{ediscovery.case-id}"].Tags
.Request()
.AddAsync(tag);
const options = {
authProvider,
};
const client = Client.init(options);
const tag = {
displayName: 'Privileged',
description: 'The document is privileged',
'parent@odata.bind':'https://graph.microsoft.com/beta/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags/98fdad78bbce4519b75474bc150575c3'
};
await client.api('/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags')
.version('beta')
.post(tag);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphEdiscoveryTag *tag = [[MSGraphEdiscoveryTag alloc] init];
[tag setDisplayName:@"Privileged"];
[tag setDescription:@"The document is privileged"];
NSError *error;
NSData *tagData = [tag getSerializedDataWithError:&error];
[urlRequest setHTTPBody:tagData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
Tag tag = new Tag();
tag.displayName = "Privileged";
tag.description = "The document is privileged";
tag.additionalDataManager().put("parent@odata.bind", new JsonPrimitive("https://graph.microsoft.com/beta/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags/98fdad78bbce4519b75474bc150575c3"));
graphClient.compliance().ediscovery().cases("47746044-fd0b-4a30-acfc-5272b691ba5b").tags()
.buildRequest()
.post(tag);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewTag()
displayName := "Privileged"
requestBody.SetDisplayName(&displayName)
description := "The document is privileged"
requestBody.SetDescription(&description)
requestBody.SetAdditionalData(map[string]interface{}{
"parent@odata.bind": "https://graph.microsoft.com/beta/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags/98fdad78bbce4519b75474bc150575c3",
}
caseId := "case-id"
result, err := graphClient.Compliance().Ediscovery().CasesById(&caseId).Tags().Post(requestBody)
Import-Module Microsoft.Graph.Compliance
$params = @{
DisplayName = "Privileged"
Description = "The document is privileged"
"Parent@odata.bind" = "https://graph.microsoft.com/beta/compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags/98fdad78bbce4519b75474bc150575c3"
}
New-MgComplianceEdiscoveryCaseTag -CaseId $caseId -BodyParameter $params
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#compliance/ediscovery/cases/47746044-fd0b-4a30-acfc-5272b691ba5b/tags/$entity",
"displayName": "Privileged",
"description": "The document is privileged",
"lastModifiedDateTime": "2021-01-12T01:01:09.0419153Z",
"childSelectability": "One",
"id": "0825ef81ade74095a3b3154a3c434c3e",
"createdBy": {
"user": {
"id": "c1db6f13-332a-4d84-b111-914383ff9fc9",
"displayName": null,
"userPrincipalName": "admin@contoso.com"
}
}
}